Bug 703472 - UTF Character Number errors in DocBook transformations
UTF Character Number errors in DocBook transformations
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: docbook-dtds (Show other bugs)
6.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ondrej Vasik
BaseOS QE - Apps
:
Depends On:
Blocks: 947782 1159825
  Show dependency treegraph
 
Reported: 2011-05-10 09:11 EDT by Michael Solberg
Modified: 2016-05-02 06:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
XML which reproduces the error. (21.87 KB, text/xml)
2011-05-10 09:11 EDT, Michael Solberg
no flags Details

  None (edit)
Description Michael Solberg 2011-05-10 09:11:12 EDT
Created attachment 498000 [details]
XML which reproduces the error.

Description of problem:
When converting files from DocBook 4.5 XML to PDF, I get a large number of "is not a character number in the document character set" errors from jade.  The same XML transforms fine using publican.

Version-Release number of selected component (if applicable):
docbook-utils-0.6.14-24.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. run docbook2pdf on the attached xml
  
Actual results:
jade:<URL>http://www.oasis-open.org/docbook/xml/4.5/ent/isogrk4.ent:42:30:E: "1D6C2" is not a character number in the document character set
jade:<URL>http://www.oasis-open.org/docbook/xml/4.5/ent/isogrk4.ent:43:30:E: "1D6C3" is not a character number in the document character set
jade:<URL>http://www.oasis-open.org/docbook/xml/4.5/ent/isogrk4.ent:44:30:E: "1D6D8" is not a character number in the document character set
.....

Expected results:
Nice PDF.
Comment 2 Michael Solberg 2011-05-10 09:14:29 EDT
See also http://bugs.gentoo.org/238785.
Comment 3 RHEL Product and Program Management 2011-05-10 09:27:44 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 4 Ondrej Vasik 2011-05-10 09:58:36 EDT
I don't think you should not use sgml toolchain here for that. See manpage of docbook2pdf- "For the moment, jw does not handle XML, but only SGML." 
Upstream of these tools is dead.

You probably want to use xml dtds toolchain (which you use in your docbook document) and you want to you use CLI tool should either use xmlto or some of it's backends(fop/dblatex/xmltex).

Anyway - there is a typo in /usr/share/sgml/docbook/xml-dtd-4.5-1.0-51.el6/catalog - 4.4 instead of 4.5 - causing this mass error report about missing entities. Reassigning there, but consider using xml docbook toolchain.
Comment 5 Michael Solberg 2011-05-10 10:18:51 EDT
I just tried "xmlto pdf" and it does work - thanks for the suggestion.
Comment 6 RHEL Product and Program Management 2011-07-05 20:06:56 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Note You need to log in before you can comment on or make changes to this bug.